Loading...
Searching...
No Matches
juce::MouseInactivityDetector Class Reference

## Detailed Description

This object watches for mouse-events happening within a component, and if the mouse remains still for long enough, triggers an event to indicate that it has become inactive.

You'd use this for situations where e.g. you want to hide the mouse-cursor when the user's not actively using the mouse.

After creating an instance of this, use addListener to get callbacks when the activity status changes.

The documentation for this class was generated from the following file:

- juce_gui_basics/mouse/juce_MouseInactivityDetector.h

Inheritance diagram for juce::MouseInactivityDetector:

## Classes

class | Listener
| Classes should implement this to receive callbacks from a MouseInactivityDetector when the mouse becomes active or inactive. More...

## Public Member Functions

| MouseInactivityDetector (Component &target)
| Creates an inactivity watcher, attached to the given component.
| ~MouseInactivityDetector () override
| Destructor.
void | setDelay (int newDelayMilliseconds) noexcept
| Sets the time for which the mouse must be still before the callback is triggered.
void | setMouseMoveTolerance (int pixelsNeededToTrigger) noexcept
| Sets the number of pixels by which the cursor is allowed to drift before it is considered to be actively moved.
void | addListener (Listener *listener)
| Registers a listener.
void | removeListener (Listener *listener)
| Removes a previously-registered listener.

## Constructors and Destructors

## MouseInactivityDetector()

juce::MouseInactivityDetector::MouseInactivityDetector | ( | Component & | target | ) |

Creates an inactivity watcher, attached to the given component.

The target component must not be deleted while this - it will be monitored for any mouse events in it or its child components.

## ~MouseInactivityDetector()

juce::MouseInactivityDetector::~MouseInactivityDetector | ( |  | ) |

override

Destructor.

## Member Functions

## setDelay()

void juce::MouseInactivityDetector::setDelay | ( | int | newDelayMilliseconds | ) |

noexcept

Sets the time for which the mouse must be still before the callback is triggered.

## setMouseMoveTolerance()

void juce::MouseInactivityDetector::setMouseMoveTolerance | ( | int | pixelsNeededToTrigger | ) |

noexcept

Sets the number of pixels by which the cursor is allowed to drift before it is considered to be actively moved.

## addListener()

void juce::MouseInactivityDetector::addListener | ( | Listener * | listener | ) |

Registers a listener.

## removeListener()

void juce::MouseInactivityDetector::removeListener | ( | Listener * | listener | ) |

Removes a previously-registered listener.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited